UAD Plug-Ins

Welcome to UA Support
How can we help?

Latest Mac & Windows Operating System Compatibility Information

General OS Information:

  • Operating systems not listed are untested. Although untested operating systems may work, they are not supported by Universal Audio. Prior UAD software for older operating systems and discontinued UAD products is available in the UAD software archives.
  • Pre-release and beta versions of operating systems are not supported.
  • Known OS-related issues in this release are listed below.

Windows 10

  • UAD v9.4 software is compatible with 64-bit editions of Windows 7, Windows 8.1, and Windows 10.
  • UAD v9.4 software is compatible with Windows 10 Creators Update (version 1703).
  • UAD v9.4 software is compatible with Windows 10 Fall Creators Update (version 1709).
  • Windows 10 Anniversary Update (version 1607 or higher) is required for Thunderbolt connections with Universal Audio devices.

Known Issues with Windows 10 Fall Creators Update

  • Symptom: Some UAD notification dialogs may display text anomalies and/or be illegible. These can include Firmware Update, Console IDC, and Apollo “Connecting To…” dialogs.
  • Solution: None. However, in the firmware update notification dialog (shown below), always click “Load” instead of “Cancel” (these buttons are visible, but the instructions are not).

Screen_Shot_2017-11-15_at_11.35.38_AM.png

The Firmware Update dialog as it appears with Win 10 Fall Creators Update 

  • Symptom: The WDM sample rate cannot be set when Apollo is the playback device because the Advanced tab is not present within the Device Properties window.
  • Solution: Double-click the Apollo device in the Sound control panel, then close the opened Configure window. The Advanced tab will now be visible in the Device Properties window. For details, click here.

    Notes: This issue only occurs with Apollo Thunderbolt connections — FireWire and USB Apollos are unaffected. The procedure is necessary each time UAD software is installed. 

Mac

  • UAD v9.4 software is compatible with macOS 10.10 Yosemite, 10.11 El Capitan, 10.12 Sierra, and 10.13 High Sierra.
  • With macOS High Sierra, UAD software must be explicitly allowed to load in the Security & Privacy pane within macOS System Preferences. For details, see this KB article.

Known Issues with macOS High Sierra

  • Symptom: (Audio Units) Audio Units version of the Eventide H910 Harmonizer plug-in does not pass audio with macOS High Sierra. VST/RTAS/AAX 64 versions of H910 are unaffected.
  • Solution: If available, restore 10.12 Sierra or earlier from a Time Machine backup.
Have more questions? Submit a request

Comments